<html>
  <head>
    <title>Music Search</title>
{literal}
    <style type="text/css">
      form                 { margin: 0px; }
      body                 { font-family:Verdana,Arial,Helvetica,sans-serif; background-color: #FFFFFF; color: #000000; }
      a                    { text-decoration: none; }
      a:hover              { text-decoration: underline; }
      h1                   { font-family:Verdana,Arial,Helvetica,Geneva,Swiss,SunSans-Regular,sans-serif; font-size: 13px; color: #ED184A; font-weight: bold; }
      .normalfont          { font-family:Verdana,Arial,Helvetica,sans-serif; font-size: 11px; }
      .headerfont          { font-family:Verdana,Arial,Helvetica,sans-serif; font-size: 13px; font-weight: bold; color: #F0F0F0; }
      .smallfont           { font-family:Verdana,Arial,Helvetica,sans-serif; font-size: 9px; }
      .lightback           { background-color: #F0F0F0; }
      .darkback            { background-color: #A0A0A0; }
      .editbox             { font-family:Verdana,Arial,Helvetica,sans-serif; font-size: 11px; border: 1px solid black; margin: 0px; padding: 1px; background-color: #F0F0F0; }
      .okbutton            { font-family:Verdana,Arial,Helvetica,sans-serif; font-size: 11px; border: 1px solid black; margin: 0px; padding: 1px; background-color: #F0F0F0;}
      .okbutton:hover      { font-family:Verdana,Arial,Helvetica,sans-serif; font-size: 11px; border: 1px solid black; margin: 0px; padding: 1px; background-color: #A0FFA0;}
      .frametable          { border: 1px solid #E0E0E0; margin: 0px; }
    </style>
    <script language="JavaScript" type="text/javascript">
    <!--
    function setPointer(theRow)
    {
        if ( typeof(theRow.style) == 'undefined' ) {
            return false;
        }
        if ( typeof(document.getElementsByTagName) != 'undefined' ) {
            var theCells = theRow.getElementsByTagName('td');
        } else if ( typeof(theRow.cells) != 'undefined' ) {
            var theCells = theRow.cells;
        } else {
            return false;
        }

        var rowCellsCnt  = theCells.length;
        for (var c = 0; c < rowCellsCnt; c++) {
            theCells[c].style.backgroundColor = '#D0D0D0';
        }

        return true;
    }

    function unsetPointer(theRow)
    {
        if ( typeof(document.getElementsByTagName) != 'undefined' ) {
            var theCells = theRow.getElementsByTagName('td');
        } else if ( typeof(theRow.cells) != 'undefined' ) {
            var theCells = theRow.cells;
        } else {
            return false;
        }

        var rowCellsCnt  = theCells.length;
        for (var c = 0; c < rowCellsCnt; c++) {
            if ( theCells[c].className == "lightback" ) {
                theCells[c].style.backgroundColor = '#F0F0F0';
            } else {
                theCells[c].style.backgroundColor = '#FAF0E7';
            }
        }

        return true;
    }
    //-->
    </script>
{/literal}
  </head>
  <body onload="if ( document && document.forms ) document.forms[0].key.focus();">
    <h1>Music search on {$Config.Hostname}</h1>
{if $Messages}
    <table border="0">
{foreach from=$Messages item=Message}
      <tr>
        <td valign="top"><p class="normalfont"><b>&raquo;</b></p></td>
        <td valign="top"><p class="normalfont">
{if $Message[1] eq "error"}<font color="red">{/if}
{if $Message[1] eq "warning"}<font color="blue">{/if}
{if $Message[1] eq "success"}<font color="green">{/if}
            <b>{$Message[0]}</b>
          </font>
        </p></td>
      </tr>
{/foreach}
    </table>
    <br>
{/if}
    <form action="mp3.php" method="post">
      <input type="hidden" name="action" value="search">
      <table class="frametable">
        <tr class="darkback">
          <td colspan="2"><p class="headerfont">Searchparameters</p></td>
        </tr>
        <tr>
          <td class="lightback"><p class="normalfont">Search for:</p></td>
          <td class="lightback"><p class="normalfont"><input class="editbox" type="text" name="key" value="{$Search}"></p></td>
        </tr>
        <tr class="lightback">
          <td colspan="2" class="lightgray"><p class="normalfont"><input class="okbutton" type="submit" value="Search!"></p></td>
        </tr>
      </table>
    </form>
    <br>
    <p class="normalfont">Currently {$TotalSongs} Songs ({$TotalSize|string_format:"%.2f"}&nbsp;GB)</p>
{if $action ne "search" and !$FullPath}
    <br>
    <p class="normalfont">You can also <a href="mp3.php?action=browse&dir={$Config.Basedir|escape:"url"}">browse</a> our archive.</p>
{/if}
{if $FullPath}
    <h1>
{foreach from=$FullPath item=Path}
      &nbsp;/&nbsp;<a href="mp3.php?action=browse&dir={$Path.full|escape:"url"}">{$Path.short|escape:"html"}</a>
{/foreach}
    </h1>
{/if}
{if count($Songs) or count($Verzeichnisse)}
{if ( $Config.Maxresults > 0 ) and ( count($Songs) >= $Config.Maxresults )}
    <p class="normalfont">Output limited to {$Config.Maxresults} hits! Be more specific.</p>
{/if}
    <br>
    <table class="frametable" cellpadding="0" cellspacing="2">
      <tr class="darkback">
{if $action ne "browse"}
        <td{if $Config.Allowtar} colspan="2"{/if}><p class="headerfont">Directory</p></td>
{/if}
        <td colspan="2"><p class="headerfont">File</p></td>
        <td><p class="headerfont">Size</p></td>
        <td><p class="headerfont">Length</p></td>
        <td><p class="headerfont">Bitrate</p></td>
        <td><p class="headerfont">Samplerate</p></td>
        <td><p class="headerfont">Channels</p></td>
        <td><p class="headerfont">VBR</p></td>
      </tr>
{if count($Verzeichnisse)}
{foreach from=$Verzeichnisse item=Verzeichnis}
      <tr onmouseover="setPointer(this);" onmouseout="unsetPointer(this);">
        <td class="lightback"><p class="normalfont"><a href="mp3.php?action=browse&dir={$Verzeichnis.fake_path|escape:"url"}"><img src="{$Config.Imagedir}/{if $Verzeichnis.short_path.fake_path eq ".."}cdup.gif{else}folder.gif{/if}" border="0"></a>{if $Config.Allowtar}{if $Verzeichnis.short_path.fake_path ne ".."}<a href="mp3.php?action=downloaddir&dir={$Verzeichnis.fake_path|escape:"url"}" title="Download directory as TAR-archive"><img src="{$Config.Imagedir}/tgz.gif" border="0"></a>{/if}{/if}</p></td>
        <td class="lightback"><p class="normalfont"><a href="mp3.php?action=browse&dir={$Verzeichnis.fake_path|escape:"url"}">{$Verzeichnis.short_path.fake_path|escape:"html"}</a></p></td>
        <td class="lightback" align="right"><p class="normalfont">{if $Verzeichnis.size}{$Verzeichnis.size|string_format:"%.2f"}&nbsp;MB{else}&nbsp;{/if}</p></td>
        <td class="lightback" align="right"><p class="normalfont">{if $Verzeichnis.length}{$Verzeichnis.length|secstolength}{else}&nbsp;{/if}</p></td>
        <td class="lightback" colspan="4"><p class="normalfont">&nbsp;</p></td>
      </tr>
{/foreach}
{/if}
{foreach from=$Songs item=Song}
      <tr onmouseover="setPointer(this);" onmouseout="unsetPointer(this);">
{if $action ne "browse"}
{if $Config.Allowtar}
        <td class="lightback"><p class="normalfont"><a href="mp3.php?action=downloaddir&dir={$Song.path|escape:"url"}" title="Verzeichnis als TAR-Archiv laden"><img src="{$Config.Imagedir}/tgz.gif" border="0"></a></p></td>
{/if}
        <td class="lightback"><p class="normalfont"><a href="mp3.php?action=browse&dir={$Song.path|escape:"url"}">{$Song.path}</a></p></td>
{/if}
        <td class="lightback"><p class="normalfont"><a href="{$Config.URL}/mp3.php?action=download&sid={$Song.sid}"><img src="{$Config.Imagedir}/mp3.gif" border="0"></a></p></td>
        <td class="lightback"><p class="normalfont"><a href="{$Config.URL}/mp3.php?action=download&sid={$Song.sid}">{$Song.file|escape:"html"}</a></p></td>
        <td class="lightback" align="right"><p class="normalfont">{$Song.size|string_format:"%.2f"}&nbsp;MB</p></td>
        <td class="lightback" align="right"><p class="normalfont">{$Song.length|secstolength}</p></td>
        <td class="lightback" align="right"><p class="normalfont"><font color="{qualitycolor samplerate=$Song.samplerate bitrate=$Song.bitrate}">{$Song.bitrate|bitrate}</font></p></td>
        <td class="lightback" align="right"><p class="normalfont"><font color="{qualitycolor samplerate=$Song.samplerate bitrate=$Song.bitrate}">{$Song.samplerate|samplerate}</font></p></td>
        <td class="lightback"><p class="normalfont">{if $Song.channels > 2}{$Song.channels}{elseif $Song.channels == 2}STEREO{else}MONO{/if}</p></td>
        <td class="lightback"><p class="normalfont">{if $Song.vbr eq "t"}VBR{/if}</p></td>
      </tr>
{/foreach}
    </table>
{/if}
  </body>
</html>
